#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, i, x, k;
    cin >> n;
    int a[n];
    for(i = 0; i < 2*(n-1); i++)
    {
        cin >> a[i];
    }
    /*if(n == 2 || n == 1 || n == 0)
    {
        cout << 1;
    }*/
    if(n % 2 == 0)
    {
        cout << n-3;
    }
    else if(n % 2 == 1)
    {
        cout << n-2;
    }

    return 0;
}